%global api 1.0
%global __provides_exclude_from ^%{_libdir}/dleyna-%{api}/connectors/.*\\.so$

Name:           dleyna-connector-dbus
Version:        0.1.0
Release:        4%{?dist}
Summary:        D-Bus connector for dLeyna services

License:        LGPLv2
URL:            https://01.org/dleyna/
Source0:        https://01.org/dleyna/sites/default/files/downloads/%{name}-%{version}.tar.gz

BuildRequires:  dbus-devel
BuildRequires:  dleyna-core-devel
BuildRequires:  glib2-devel >= 2.28
BuildRequires:  pkgconfig

%description
D-Bus connector for dLeyna services.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%configure \
  --disable-silent-rules \
  --disable-static

make %{?_smp_mflags}


%install
make install INSTALL="%{__install} -p" DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -delete


%files
%doc AUTHORS
%doc COPYING
%doc ChangeLog
%doc README
%dir %{_libdir}/dleyna-%{api}
%dir %{_libdir}/dleyna-%{api}/connectors
%{_libdir}/dleyna-%{api}/connectors/libdleyna-connector-dbus.so

%files devel
%{_libdir}/pkgconfig/%{name}-%{api}.pc


%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jul 09 2013 Debarshi Ray <rishi@fedoraproject.org> - 0.1.0-3
- Filter out the connector plugin from provides.

* Sun Jul 07 2013 Debarshi Ray <rishi@fedoraproject.org> - 0.1.0-2
- Use %%global instead of %%define.
- Own %%{_libdir}/dleyna-%%{api} and %%{_libdir}/dleyna-%%{api}/connectors.

* Wed Jun 26 2013 Debarshi Ray <rishi@fedoraproject.org> - 0.1.0-1
- Initial spec.
